rash(1)

NAME
rash - Radmind Assistant

SYNOPSIS
ra [ -%cltV ] [ -D workingdir ] [ -h server ] [ -r path ] [ -U user ] [ -w authlevel ] { trip | update | create | auto | force | checkout | checkin }

DESCRIPTION
rash is a command line application for running the Radmind tool set. It can be used to run the entire radmind process including updating a client, running a tripwire and creating loadsets. On machines with multiple administrators, rash can be used to limit conflicts from multiple administrators simultaneously using the tool. rash is run with a required option telling it what process to run: update, auto, force, create, trip, checkout or checkin. A machine can be updated by using either the update, auto or force option. update will prompt the user at each step in the process. auto will update the machine without any input, looping when possible to handle temporary problems such as networking issues or a busy server. auto is suitable to be run as an automated process. force updates a machine without looping or prompting for input and is handy for quick, manual updates. create is used to store a loadset on the radmind server in an interactive fashion. Before creating a transcript, rash first checks to see if the command file and transcripts are correct and prompts the user to update them if needed. The user can also edit the transcript before it is stored on the server. trip is used to run a tripwire on the system. If the command file and transcripts are correct, a full tripwire is run with checksums. Any differences are printed to the screen in a format suitable for e-mailed machine reporting. checkout is used to prevent other users from concurrently running rash. It is helpful when an administrator is installing new software or configuring a client and does not want their work removed. Only the user who checked out a machine can run rash unless a new checkout is forced from an interactive rash session. An e-mail is sent to the previous users when a checkout is overridden. As trip does not modify the system, it can be run at any time, regardless of who has checked out the machine. checkin is used to release a machine. Only the user who checked out a machine may check it back in. checkin and checkout both use $USER to determine who is performing the command. $USER can be overridden using the -U option. The -c option can be used to turn on checksums for fsdiff. The only supported checksum is SHA1. rash supports running arbitrary scripts before and after lapply. Preapply scripts located in PREAPPLY are run before lapply, and postapply scripts located in POSTAPPLY are run after. The first argument passed to each script is the full path to apply-able transcript.

OPTIONS

-%  percentage done progress output.

-c  use sha1 checksums.

-D workingdir
    change to workingdir before running. Default is "/".

-h hostname
    specifies the radmind server, by default radmind.

-l  Prompt for remote user name. The -U option disables this prompt.

-r path
    specifies root path from which fsdiff will start its scan of the filesystem

-t  use tempfiles

-U user
    specifies the user. By default, $USER will be used.

-V  displays the version of rash and exits.

-w auth-level
    TLS authorization level, by default 0. 0 = no TLS, 1 = server verification, 2 = server and client verification.

EXIT STATUS
The following exit values are returned:

0   successful.

>1  An error occurred.

SEE ALSO
fsdiff(1), ktcheck(1), lapply(1), lcksum(1), lcreate(1), lfdiff(1), lmerge(1), lsort(1), twhich(1), radmind(8).